﻿using System.Linq;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
namespace Search_EF_MVC_Core
{
    public class HomeController : Controller
    {
        private DBCtx Context { get; }
        public HomeController(DBCtx _context)
        {
            this.Context = _context;
        }

        public IActionResult Index()
        {
            List<Customer> customers = this.Context.SearchCustomers("").ToList();
            return View(customers);
        }

        [HttpPost]
        public IActionResult Index(string customerName)
        {
            List<Customer> customers = this.Context.SearchCustomers(customerName).ToList();
            return View(customers);
        }
    }
}